For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
AI agentsStatus PageContact sales
HomeGuidesDeveloper ToolsChangelogsCookbooks
HomeGuidesDeveloper ToolsChangelogsCookbooks
    • Payabli developer overview
    • Developer quickstart
    • Developer testing guide
    • Test accounts
  • API
    • Using the API
    • API responses
    • API changelog
            • GETGet basic paypoint details
            • GETGet basic paypoint details by ID
            • GETGet paypoint details
            • GETGet paypoint settings
            • PUTUpload logo
            • GETList paypoints by organization
            • GETExport paypoints by organization
            • POSTMigrate paypoint
          • GETGet stats for an org or paypoint
    • Webhooks
  • Embedded Components
    • Overview
    • EmbeddedMethod UI
    • PayMethod UI
    • VirtualTerminal UI
    • ExpressCheckout UI
    • Changelog
  • Server SDKs
    • Server SDKs overview
  • Other tools
    • Postman collection
    • Payabli MCP
    • Example apps

© 2026 Centavo, Inc. All rights reserved | Centavo (DBA Payabli) is a registered Payment Facilitator of PNC Bank, N.A., Pittsburgh, PA. Payabli is a registered ISO/MSP of Merrick Bank, South Jordan, UT.

PayabliTest Cards & AccountsPay In StatusesPay Out StatusesTrust Center
LogoLogo
AI agentsStatus PageContact sales
APIPay Ops endpointsBusiness entitiesPaypoint

Get paypoint details

|View as Markdown|Open in Claude|
GET
/Paypoint/:entry
GET
/api/Paypoint/:entry
$curl https://api-sandbox.payabli.com/api/Paypoint/8cfec329267 \
> -H "requestToken: <apiKey>"
1{
2 "isSuccess": true,
3 "responseText": "Success",
4 "responseCode": 1,
5 "responseData": {
6 "EntryName": "abc123def",
7 "EntryPages": [
8 {
9 "AdditionalData": {
10 "key1": {
11 "key": "value"
12 },
13 "key2": {
14 "key": "value"
15 },
16 "key3": {
17 "key": "value"
18 }
19 }
20 }
21 ],
22 "IdEntry": 11111,
23 "Paypoint": {
24 "address1": "123 Ocean Drive",
25 "address2": "Suite 400",
26 "bankData": [
27 {
28 "nickname": "Business Checking 1234",
29 "bankAccountHolderName": "Gruzya Adventure Outfitters LLC",
30 "bankAccountFunction": 0
31 }
32 ],
33 "boardingId": 340,
34 "city": "Bristol",
35 "contacts": [
36 {}
37 ],
38 "country": "US",
39 "credentials": [
40 {}
41 ],
42 "dbaName": "Sunshine Gutters",
43 "externalPaypointID": "",
44 "fax": "5555555555",
45 "idPaypoint": 1000000,
46 "legalName": "Sunshine Services, LLC",
47 "parentOrg": {
48 "orgName": "Pilgrim Planner",
49 "orgStatus": 1,
50 "orgType": 0
51 },
52 "paypointStatus": 1,
53 "phone": "5555555555",
54 "state": "GA",
55 "summary": {
56 "amountSubs": 0,
57 "amountTx": 0,
58 "countSubs": 0,
59 "countTx": 0,
60 "customers": 1
61 },
62 "timeZone": -5,
63 "websiteAddress": "www.example.com",
64 "zip": "31113",
65 "statementEmail": {
66 "sender": "acme-partners@payabli.com",
67 "recipients": [
68 "billing@example.com"
69 ]
70 }
71 }
72 }
73}
Gets the details for a single paypoint.
Was this page helpful?
Previous

Get basic paypoint details by ID

Next

Get paypoint settings

Authentication

requestTokenstring
API Key authentication via header

Path parameters

entrystringRequired

The paypoint’s entrypoint identifier. Learn more

Query parameters

entrypagesstringOptional

Response

Success
isSuccessboolean

Boolean indicating whether the operation was successful. A true value indicates success. A false value indicates failure.

responseTextstring

Response text for operation: ‘Success’ or ‘Declined’.

pageIdentifierstring
Auxiliary validation used internally by payment pages and components.
responseCodeinteger

Code for the response. Learn more in API Response Codes.

responseDataobject

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error
503
Service Unavailable Error